%define name    gdigidoc
%define version 0.0.9
%define release 1mdk

Summary:        Frontend built for DigiDoc library
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Office
URL:            http://sourceforge.net/projects/gdigidoc/
Source0:        %name-%version.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:	libdigidoc-devel >= 1.92 libsigc++2.0_0-devel glibmm2.4-devel gtkmm2.4-devel

%description
GDigiDoc is a GUI frontend built with GTKMM for DigiDoc (alias 
OpenXAdES - http://www.openxades.org) library allowing users to 
create digitally signed documents and verify signatures of other 
users.

%prep

%setup -q

%build

%configure

%make 

%install

%makeinstall 

# Menu
%__install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="gdigidoc.png" \
section="Office/Accessories" \
title="Gdigidoc" \
longtitle="%summary"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
%__rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
%config(noreplace) %_sysconfdir/*.conf
%_datadir/applications/*.desktop
%_datadir/%name
%_datadir/pixmaps/*.png
%_menudir/*

%changelog
* Wed Sep 22 2004  Lenny Cartier <lenny@mandrakesoft.com> 0.0.9-1mdk
- from Veiko Sinivee <veiko.sinivee@solo.delfi.ee> : 
	- updated to libdigidoc release 0.0.9
	- This version requires libdigidoc 1.92 or higher, gtkmm2.4.x and kernel 2.6.x

* Mon Jun 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-1mdk
- rebuild
